Subject: bug#77725: 31.0.50; Add support for types accepted by `cl-typep' to cl-generic?

From: David Ponce <[email-masked]>
Date: Mon, 5 May 2025 20:05:35 +0200

> Thanks, pushed to the branch.  I think the code is looking pretty good now.

Thank you, that's great!  And it's certainly largely thanks to you :-)

> I just have to decide how to integrate it into CL-Lib so it's loaded
> when we need it, and then we can push it to `master`.

That would be great.  Please let me know if I can help to test.

> The optimization on the dispatch is nice.  We could do even better and
> test only those types which have methods for the current generic
> function rather than for any generic function.  I thought I had a patch
> which provides that info to the `tagcode-function`, but sadly I was
> confused: the patch I have provides that info only to the
> `specializer-function`.  It can (and arguably should) be done, of
> course, but it requires a fair bit of changes to `cl-generic.el`.  🙁

I hope you find the time and motivation to improve cl-generic.el,
which certainly deserves to be used more.  I'm not sure I can help you
much in this area, but if you think I can help you, even if it's just
for testing, please don't hesitate to ask me; I'll be happy to
contribute, within my means.

Many thanks!
David